Skip to content

Get recent log events from rtk service​

GET
/devices/{id}/getRecentRtkLogs

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Typenumber
Required
Format"integer"

Responses​

Request was successful

application/json
JSON
[
{
"id": 0,
"timestamp": "string",
"deviceId": 0,
"msgType": 0,
"baseStationId": 0,
"locationType": "string",
"accuracy": 0,
"lat": 0,
"lng": 0,
"linkQuality": 0,
"toAddress": "string",
"fromAddress": "string",
"info": "string"
}
]

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python